Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class BaseAgent

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject
          com.autonomy.aci.businessobjects.BaseAgent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Agent, Profile

public class BaseAgent
extends AciBusinessObject

Base class for any IDOL object that has a name and an owner. Currently only extended by `Agent` and `Profile`.

See Also:
  Serialized Form

Constructor Summary
`BaseAgent()`
`BaseAgent(java.lang.String sUID)`

Method Summary
`java.lang.String` | `getName()` Read the name of this agent or profile.
`java.lang.String` | `getOwnerID()` Read the ID of this agent's or profile's owner.
`java.lang.String` | `getOwnername()` Read the name of this agent's or profile's owner.
`void` | `setName(java.lang.String sAgentname)` Set the name of this agent or profile.
`void` | `setOwnerID(java.lang.String sOwnerID)` Set the ID of this agent's or profile's owner.
`void` | `setOwnername(java.lang.String sOwnername)` Set the name of this agent's or profile's owner.

Methods inherited from class com.autonomy.aci.businessobjects.AciBusinessObject
`getUID, setUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseAgent

    public BaseAgent()

### BaseAgent

    public BaseAgent(java.lang.String sUID)

Method Detail

### setName

    public void setName(java.lang.String sAgentname)

  Set the name of this agent or profile.

### setOwnerID

    public void setOwnerID(java.lang.String sOwnerID)

  Set the ID of this agent's or profile's owner.

### setOwnername

    public void setOwnername(java.lang.String sOwnername)

  Set the name of this agent's or profile's owner.

### getName

    public java.lang.String getName()

  Read the name of this agent or profile.

### getOwnerID

    public java.lang.String getOwnerID()

  Read the ID of this agent's or profile's owner.

### getOwnername

    public java.lang.String getOwnername()

  Read the name of this agent's or profile's owner.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD